clear all
clear
set mem 700m
set matsize 600

set more off, permanently
adopath + "J:\Waehrung\IF&TH\Ordner Mitarbeiter\BBO\Stata Modules"
cd "\\snb.ch\users\rau\Research\trade\2010 11 Yuan Revaluation\2014 09 09 Data Code Revision"
use "2012-07-05 Yuan-and-US-inflation.dta", replace


drop panelvar
*drop   ch_ppi_median_tradeweighted

egen panelvar_naics6= group(naics6)
 
tsset panelvar_naics6 monthcount


*use "Revision_Yuanpaper_moreexrates_2014 09 09.dta"

* We start on January 01, 1995. 
keep if monthcount>=420

sort naics6
egen temp1= total(imports_US_total_in_usd_6digit)
by naics6: egen temp2 = total(imports_US_total_in_usd_6digit)
gen sectorweight = temp2/temp1
drop temp* 
tsset panelvar_naics6 monthcount

gen temp=1
bys panelvar_naics6 monthcount: egen count=total(temp)
drop temp
sum count
hist count 

************ 
gen ch_ipi_naics5 = ln(ImportPI_5digit /l1.ImportPI_5digit)
label var ch_ipi_naics5 "Ch. Ln Import Price Index"
gen ch_exr_yuan_usd= -ch_exrate
label var ch_exr_yuan_usd "Ch. Ln USD per Yuan"

replace ch_USagainstROW  = -ch_USagainstROW 
label var ch_USagainstROW "Ch. Ln USD per foreign Currency (we expect a positive PT coefficient)"

replace ch_tradepartnerAgainstROW= -ch_tradepartnerAgainstROW
gen ch_ppi_6digit= ln(ppi_6digit/l1.ppi_6digit)
gen ch_commodityindex_all_gsci= ln( commodityindex_all_gsci / l1.commodityindex_all_gsci)

***************************
* we will only use those IPI that are allocated from 4 digits.

gen naics5= substr(naics6,1,5)
gen d_available_at4digit= 0
replace d_available_at4digit=1 if length(cluster_ImportPI)>=4
sum  ImportPI_5digit if  d_available_at4digit==1

* the cluster variable needs to be constant throughout time:
sort naics6 monthcount
by naics6: gen finalcluster= cluster_ImportPI[_N-30]
tsset panelvar_naics6 monthcount

* to create a dummy that uses only the 118 original IPI price indices
gen finalcluster_monthcount=  finalcluster +"_" + string(monthcount)
sort finalcluster_monthcount naics6
gen temp=1
by finalcluster_monthcount: gen counter=sum(temp)
sum counter
sum counter if d_available_at4digit==1
gen d_ipi_sample=0
by finalcluster_monthcount: replace d_ipi_sample=1 if counter==1
tsset panelvar_naics6 monthcount


**************
* USD Yuan Exrate
gen ch_exr_chinaus_cum1 = ch_exr_yuan_usd
label var ch_exr_chinaus_cum1 " 1-Month Change of CNY/USD (positive means Yuan appreciation)"
* Other Trade Weighted Exr
gen ch_USagainstROW_cum1 =  ch_USagainstROW 
label var ch_USagainstROW_cum1 " 1-Month Change of USD Agaist ROW (positive means ROW appreciation)"
gen ch_USD_tradeweighted_cum1= ch_USD_tradeweighted
label var ch_USD_tradeweighted_cum1 "1-Month Change of USD Import Weighted (positive means Foreign appreciates)"

* Commodity Prices 
gen commodity_all_cum1 = ln(commodityindex_all_gsci / l1.commodityindex_all_gsci )
label var commodity_all_cum1  "GS CI Total Index 1-Month Change"

gen monthly_ppi_china = (ppi_inflation_IMFIFS_china- l1. ppi_inflation_IMFIFS_china)*12 + (l1. ppi_inflation_IMFIFS_china)
* Inflation in China
gen ppi_inflation_china_cum1 = monthly_ppi_china
label var ppi_inflation_china_cum1 "1-Month PPI Inflation China"

gen monthly_ppi_tradepart = (ch_ppi_partner_tradeweighted - l1.ch_ppi_partner_tradeweighted)*12 + (l1.ch_ppi_partner_tradeweighted)
* Trade Weighted Inflation the trade partners of the US
gen ch_ppi_alltradepartners_cum1 =  monthly_ppi_tradepart
label var ch_ppi_alltradepartners_cum1 "1-Month PPI Inflation ROW (US Import Weighted)"

gen monthly_ppi_medwgt_allpartners = (ch_ppi_median_tradeweighted  - l1.ch_ppi_median_tradeweighted )*12 + (l1.ch_ppi_median_tradeweighted )
* Trade Weighted Inflation the trade partners of the US
gen ch_ppi_medianweighted_cum1 = monthly_ppi_medwgt_allpartners 
label var ch_ppi_medianweighted_cum1 "1-Month PPI Inflation ROW (median import Weighted)"



forvalues laglength = 2/24 {
	local lag_minus_one = `laglength'-1
	* USD Yuan
	gen ch_exr_chinaus_cum`laglength'= ch_exr_chinaus_cum`lag_minus_one' + l`laglength'.ch_exr_chinaus_cum1  
	label var ch_exr_chinaus_cum`laglength' "`laglength' Months Change of CNY/USD (positive means Yuan appreciation)"
	* ROW Exrate
	gen ch_USagainstROW_cum`laglength'= ch_USagainstROW_cum`lag_minus_one' + l`laglength'.ch_USagainstROW_cum1  
	label var ch_USagainstROW_cum`laglength' "`laglength' Months Change of ROW Exrate against USD (positive means ROW appreciation)"
	* Total Trade Weighted Exrate
	gen ch_USD_tradeweighted_cum`laglength'= ch_USD_tradeweighted_cum`lag_minus_one' + l`laglength'.ch_USD_tradeweighted_cum1
	label var ch_USD_tradeweighted_cum`laglength' "`laglength' Months Change of USD Import Weighted (positive means Foreign appreciates)"
	* Inflation in China
	gen ppi_inflation_china_cum`laglength'= ppi_inflation_china_cum`lag_minus_one' + l`laglength'.ppi_inflation_china_cum1  
	label var ppi_inflation_china_cum`laglength' "`laglength' Months Cum Inflation China "
	* Trade Weighted Inflation the trade partners of the US
	gen ch_ppi_alltradepartners_cum`laglength'=  ch_ppi_alltradepartners_cum`lag_minus_one' + l`laglength'.ch_ppi_alltradepartners_cum1  
	label var ch_ppi_alltradepartners_cum`laglength' "`laglength' Months Cum Inflation in world (import weighted)"
	* Trade Weighted Inflation the trade partners of the US
	gen ch_ppi_medianweighted_cum`laglength' = ch_ppi_medianweighted_cum`lag_minus_one'  + l`laglength'.ch_ppi_medianweighted_cum1
	label var ch_ppi_medianweighted_cum`laglength' " `laglength' -Months PPI Inflation ROW (median import Weighted)"
	* Commodity Prices 
	gen commodity_all_cum`laglength'= commodity_all_cum`lag_minus_one ' + l`laglength'.commodity_all_cum1  
	label var commodity_all_cum`laglength' "`laglength' Months Cum. Change of GSCI Index (total index)"
}

* Cummulative Price Changes
* IPI 
gen ch_ipi_naics5_cum1 = ln(ImportPI_5digit/ l1.ImportPI_5digit)
label var ch_ipi_naics5_cum1 " 1-Month Change of USD Import Price"
* PPI
gen ch_ppi_naics6_cum1  =  ln(ppi_6digit / l1.ppi_6digit)
label var ch_ppi_naics6_cum1  " 1-Month Change of USD Producer Price Price"

forvalues laglength = 2/24 {
	local lag_minus_one = `laglength'-1
	* IPI
	gen ch_ipi_naics5_cum`laglength'= ch_ipi_naics5_cum`lag_minus_one' + l`laglength'.ch_ipi_naics5_cum1  
	label var ch_ipi_naics5_cum`laglength' "`laglength' Months Change of USD Import Price)"
	* PPI
	gen ch_ppi_naics6_cum`laglength'= ch_ppi_naics6_cum`lag_minus_one' + l`laglength'.ch_ppi_naics6_cum1  
	label var ch_ppi_naics6_cum`laglength' "`laglength' Months Change of USD Producer Price)"
	}

************************************************************************************************************************************************************************************************
********* 		AGGREGATE ANALYSIS: Moved to EXCEL
************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************
************************
************************************************************************************************************************************************************************************************
************************
* Table 1: Exchange Rate Movements and Import Prices

gen ch_chinausreal_cum3 = ch_exr_chinaus_cum3+ppi_inflation_IMFIFS_china

tsset panelvar_naics6 monthcount
merge m:1 monthcount using "Revision_Yuanpaper_moreexrates_2014 09 09.dta"
tsset panelvar_naics6 monthcount
 foreach var of varlist ch_exrate_oecd ch_exrate_oecd_tw ppi_inf_oecd ppi_inf_oecd_tw ch_exrate_notoecd ch_exrate_notoecd_tw ppi_inf_notoecd ppi_inf_notoecd_tw ch_USD_Canada ch_USD_Euro ch_USD_Mexico ch_USD_Korea ch_USD_Japan ch_USD_UK ch_USD_Malaysia ch_USD_Venezuela ch_USD_Saudiarabia ch_USD_Brazil ch_exrate_notbig10 {
                gen `var'_cum3 = `var'+l1.`var'+l2.`var'
        }
		

		
xi: xtreg ch_ipi_naics5_cum1  ch_exr_chinaus_cum3  ch_chinausreal_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3  ch_exrate_notoecd_tw_cum3  ch_USD_Canada_cum3 ch_USD_Euro_cum3 ch_USD_Mexico_cum3 ch_USD_Japan_cum3 ch_USD_Korea_cum3 ch_USD_Venezuela ch_USD_Saudiarabia i.period  if monthcount>545 & d_available_at4digit==1 & d_ipi_sample==1 , fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  replace

* Only China:
* China 3 months
xi: xtreg ch_ipi_naics5_cum3  ch_exr_chinaus_cum3  i.period   if monthcount>545 & d_available_at4digit==1& d_ipi_sample==1, fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  append

* Joint & Controls 3 months 
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3   ch_ppi_medianweighted_cum3 commodity_all_cum3 i.period  if monthcount>545 & d_available_at4digit==1& d_ipi_sample==1, fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  append

xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_exrate_notoecd_tw_cum3 ch_USagainstROW_cum3 ch_ppi_medianweighted_cum3 commodity_all_cum3 i.period  if monthcount>545 & d_available_at4digit==1& d_ipi_sample==1, fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  append


xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_exrate_notoecd_tw_cum3  ch_USD_Canada_cum3 ch_USD_Euro_cum3 ch_USD_Mexico_cum3 ch_USD_Japan_cum3 ch_USD_Korea_cum3 ch_USD_Venezuela ch_USD_Saudiarabia  ch_USagainstROW_cum3 ch_ppi_medianweighted_cum3 commodity_all_cum3 i.period  if monthcount>545 & d_available_at4digit==1& d_ipi_sample==1, fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  append


tsset panelvar_naics6 monthcount
 foreach var of varlist ch_exrate_oecd ch_exrate_oecd_tw ppi_inf_oecd ppi_inf_oecd_tw ch_exrate_notoecd ch_exrate_notoecd_tw ppi_inf_notoecd ppi_inf_notoecd_tw ch_USD_Canada ch_USD_Euro ch_USD_Mexico ch_USD_Korea ch_USD_Japan ch_USD_UK ch_USD_Malaysia ch_USD_Venezuela ch_USD_Saudiarabia ch_USD_Brazil ch_exrate_notbig10 {
                drop `var'_cum3 
				drop `var'
		}

* Real changes:
xi: xtreg ch_ipi_naics5_cum3 ch_chinausreal_cum3  ch_USagainstROW_cum3   ch_ppi_medianweighted_cum3 commodity_all_cum3 i.period  if monthcount>545 & d_available_at4digit==1& d_ipi_sample==1, fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  append


gen d_seriesafter545=0
replace d_seriesafter545=1 if ch_ipi_naics5_cum3!=. & monthcount>545 & d_available_at4digit==1& d_ipi_sample==1
bys panelvar_naics6: egen temp_seriesafter545=max(d_seriesafter545)
tsset panelvar_naics6 monthcount
replace d_seriesafter545= temp_seriesafter545

xi: xtreg ch_ipi_naics5_cum3  ch_USagainstROW_cum3 i.period  if monthcount<545 & d_available_at4digit==1& d_ipi_sample==1 &d_seriesafter545==1 , fe
drop temp_seriesafter545 d_seriesafter545

******************
* pre and post 3 months
xi: xtreg ch_ipi_naics5_cum3  ch_USagainstROW_cum3 i.period  if monthcount<545 & d_available_at4digit==1& d_ipi_sample==1, fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  append
predict ch_ipi_pred_cum3 
gen temp_cum3 = ch_ipi_naics5_cum3 - ch_ipi_pred_cum3 
****
* Finally, the correct specifications
* 3 m
xi: xtreg temp_cum3  ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3 commodity_all_cum3 i.period   if monthcount>545 & d_available_at4digit==1& d_ipi_sample==1, fe
outreg using tables\Table1A_variousExrandImportPPI.doc, nocons  bdec(3) 3aster bracket  se  append


xi: xtreg  ch_exr_chinaus_cum3  ch_USagainstROW_cum3  if monthcount>545 & d_available_at4digit==1 & filtered_ipi_cum3!=. & ch_ppi_medianweighted_cum3!=. & commodity_all_cum3!=. & d_ipi_sample==1

xi: xtreg  ch_exr_chinaus_cum3  ch_USagainstROW_cum3  if monthcount>545 & d_available_at4digit==1 & filtered_ipi_cum3!=. & ch_ppi_medianweighted_cum3!=. & commodity_all_cum3!=. & d_ipi_sample==1



drop ch_chinausreal_cum3 
drop _merge
drop  temp* ch_ipi_pred_cum*

************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************
*  Figure 1 - Pt of the RMB into IPI, after controls

*Defining the coefficent and SE matrix
mat mat_Figure3_ipi_joint_woutCom =(.,.,.,.,.)
mat colnames  mat_Figure3_ipi_joint_woutCom  = PTRMB_STRAT_Coef PTRMB_STRAT_SE PTRMB_Simple_Coef PTRMB_Simple_SE  Laglength 
forvalues laglength = 1/24 {
	xi: xtreg ch_ipi_naics5_cum`laglength'  ch_USagainstROW_cum`laglength' i.period  if monthcount<545 & d_available_at4digit==1 & d_ipi_sample==1 , fe
	predict temp_1
	gen temp_2= ch_ipi_naics5_cum`laglength'  - temp_1
	xi: xtreg temp_2 ch_exr_chinaus_cum`laglength'   ch_ppi_medianweighted_cum`laglength' commodity_all_cum`laglength' i.period if monthcount>545 & d_available_at4digit==1 & d_ipi_sample==1 , fe
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	
	*contrasting this to a "normal PT" regression
	xi: xtreg ch_ipi_naics5_cum`laglength' ch_exr_chinaus_cum`laglength' ch_ppi_medianweighted_cum`laglength' commodity_all_cum`laglength' i.period  if monthcount>545 & d_available_at4digit==1 & d_ipi_sample==1 , fe
	mat helpmat_coef2 = e(b)
	mat helpmat_se2 = e(V)
	*adding a line to the matrix
	mat mat_Figure3_ipi_joint_woutCom =(mat_Figure3_ipi_joint_woutCom\helpmat_coef[1,1],sqrt(helpmat_se[1,1]),helpmat_coef2[1,1],sqrt(helpmat_se2[1,1]),`laglength')

	drop temp_1 temp_2
}
* Listing the matrix of coefficients

mat list mat_Figure3_ipi_joint_woutCom

************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************
********************************************************************************************************************
********************************************************************************************************************
* PRODUCER PRICES, simple ERPT 
**********
* Table 4 PT into PPI

* first, predicting:
xi: xtreg ch_ppi_naics6_cum3  ch_USagainstROW_cum3   i.period  if monthcount<545 & d_available_at4digit==1, fe
predict ch_ppi_pred_cum3 
gen filtered_ppi_cum3 = ch_ppi_naics6_cum3 - ch_ppi_pred_cum3 
drop ch_ppi_pred_cum3 

xi: xtreg ch_ipi_naics5_cum3  ch_USagainstROW_cum3   i.period  if monthcount<545 & d_available_at4digit==1& d_ipi_sample==1, fe
predict ch_ipi_pred_cum3 
gen filtered_ipi_cum3 = ch_ipi_naics5_cum3 - ch_ipi_pred_cum3 
drop ch_ipi_pred_cum3

xi: xtreg ch_ipi_naics5_cum6  ch_USagainstROW_cum6   i.period  if monthcount<545 & d_available_at4digit==1& d_ipi_sample==1, fe
predict ch_ipi_pred_cum6 
gen filtered_ipi_cum6 = ch_ipi_naics5_cum6 - ch_ipi_pred_cum6 
drop ch_ipi_pred_cum6

xi: xtreg ch_ppi_naics6_cum6  ch_USagainstROW_cum6   i.period  if monthcount<545 & d_available_at4digit==1, fe
predict ch_ppi_pred_cum6 
gen filtered_ppi_cum6 = ch_ppi_naics6_cum6 - ch_ppi_pred_cum6 
drop ch_ppi_pred_cum6



gen cluster_n5= substr(naics6,1,5)

* Regressions:
xi: xtreg ch_ppi_naics6_cum3  ch_ipi_naics5_cum3 filtered_ipi_cum3 ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3  commodity_all_cum3 i.period  if monthcount>545 & d_available_at4digit==1  , fe
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  replace

********
* OLS: 1-4
xi: xtreg ch_ppi_naics6_cum3 ch_ipi_naics5_cum3 i.period  if monthcount<545 & d_available_at4digit==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtreg ch_ppi_naics6_cum3 ch_ipi_naics5_cum3 i.period  if monthcount>545 & d_available_at4digit==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtreg ch_ppi_naics6_cum3 ch_ipi_naics5_cum3  ch_USagainstROW_cum3  commodity_all_cum3  ch_ppi_medianweighted_cum3  i.period if monthcount<545 & d_available_at4digit==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtreg ch_ppi_naics6_cum3 ch_ipi_naics5_cum3  ch_USagainstROW_cum3  commodity_all_cum3  ch_ppi_medianweighted_cum3  i.period if monthcount>545 & d_available_at4digit==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append


**** issue on two additional specs

* 5 a SPECIFICATION PPI ON FILTERED IPI PLUS rowEXRATRE
xi: xtreg ch_ppi_naics6_cum3 filtered_ipi_cum3  ch_USagainstROW_cum3   commodity_all_cum3  ch_ppi_medianweighted_cum3 i.period if monthcount>545 & d_available_at4digit==1 & d_ipi_sample==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append

**** 6 Baseline IV, but with PPI NOT neeted the IPI, 3M horizon
xi: xtivreg2 ch_ppi_naics6_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if monthcount>545 & d_available_at4digit==1 , fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append

*  7 check via IV specification plus ROW exchange rate
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if monthcount>545 & d_available_at4digit==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append
tsset panelvar_naics6 monthcount

*************
* 8 A Netting the PPI
xi: xtreg ch_ppi_naics6_cum3  ch_USagainstROW_cum3   i.period  if monthcount<545 & d_available_at4digit==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append
* 8 B- full IV
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if monthcount>545 & d_available_at4digit==1, fe cluster(cluster_n5)
outreg using tables\Table4_ERPT_into_PPI.doc, nocons  bdec(3) 3aster bracket  se  append
drop cluster_n5



*******************************************************************************************************************************************************************************************************
* The next figures estimate Table 2 at various horizions
* Figure 5: OLS, IV with Yuan, and IV with ROW Exchange at various horizons 
*******************************************************************************************************************************************************************************************************
* Figure w. PT Rates OLS vs IV
*******
* IV Strategy

* This generates the CONTROL For IPI
forvalues laglength = 1/24 {
	xi: xtreg ch_ipi_naics5_cum`laglength' ch_USagainstROW_cum`laglength'   i.period  if monthcount<545 & d_available_at4digit==1, fe
	predict control_ch_ipi_cum`laglength'
}

* This generates the CONTROL For PPI
forvalues laglength = 1/24 {
	xi: xtreg ch_ppi_naics6_cum`laglength' ch_USagainstROW_cum`laglength'   i.period  if monthcount<545 & d_available_at4digit==1, fe
	predict control_ch_ppi_cum`laglength'
}


mat mat_PT_of_IPI_into_PPI_strategy1 =(.,.,.)
mat colnames mat_PT_of_IPI_into_PPI_strategy1  = PT_IV_IPI_Coef PT_IV_IPI_SE Laglength 
forvalues laglength = 1/24 {
	gen temp_ch_ipi_naics5_cum`laglength'= ch_ipi_naics5_cum`laglength' - control_ch_ipi_cum`laglength'
	xi: xtivreg2 ch_ppi_naics6_cum`laglength' (temp_ch_ipi_naics5_cum`laglength' = ch_exr_chinaus_cum`laglength' ) commodity_all_cum`laglength' ch_ppi_medianweighted_cum`laglength' i.period  if monthcount>545 & d_available_at4digit==1, fe
	drop temp_ch_ipi_naics5_cum`laglength'  
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	mat mat_PT_of_IPI_into_PPI_strategy1 =(mat_PT_of_IPI_into_PPI_strategy1\helpmat_coef[1,1],sqrt(helpmat_se[1,1]),`laglength')
}


* Listing the matrix of coefficients
mat list mat_PT_of_IPI_into_PPI_strategy1

* The second part also filters the PPI for the pre-sample time

mat mat_PT_of_IPI_into_PPI_strategy2 =(.,.,.)
mat colnames mat_PT_of_IPI_into_PPI_strategy2  = PT_IV_IPI_Coef PT_IV_IPI_SE Laglength 
forvalues laglength = 1/24 {
	gen temp_ch_ipi_naics5_cum`laglength'= ch_ipi_naics5_cum`laglength' - control_ch_ipi_cum`laglength'
	gen temp_ch_ppi_naics6_cum`laglength'= ch_ppi_naics6_cum`laglength' - control_ch_ppi_cum`laglength'
	xi: xtivreg2 temp_ch_ppi_naics6_cum`laglength' (temp_ch_ipi_naics5_cum`laglength' = ch_exr_chinaus_cum`laglength' ) commodity_all_cum`laglength' ch_ppi_medianweighted_cum`laglength' i.period if monthcount>545 & d_available_at4digit==1, fe
	drop temp_ch_ipi_naics5_cum`laglength'  temp_ch_ppi_naics6_cum`laglength'
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	mat mat_PT_of_IPI_into_PPI_strategy2 =(mat_PT_of_IPI_into_PPI_strategy2\helpmat_coef[1,1],sqrt(helpmat_se[1,1]),`laglength')
}
* Listing the matrix of coefficients
mat list mat_PT_of_IPI_into_PPI_strategy2

*For the Figure, what would the OLS say?

mat mat_PT_of_IPI_into_PPI_ols =(.,.,.)
mat colnames mat_PT_of_IPI_into_PPI_ols  = PPI_IPI_OLS_Coef PPI_IPI_OLS_SE Laglength 
forvalues laglength = 1/24 {
	xi: xtreg ch_ppi_naics6_cum`laglength' ch_ipi_naics5_cum`laglength' commodity_all_cum`laglength' ch_ppi_medianweighted_cum`laglength' i.period if monthcount>545 & d_available_at4digit==1, fe
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	mat mat_PT_of_IPI_into_PPI_ols =(mat_PT_of_IPI_into_PPI_ols\helpmat_coef[1,1],sqrt(helpmat_se[1,1]),`laglength')
}
* Listing the matrix of coefficients
mat list mat_PT_of_IPI_into_PPI_ols


*******************
* Predictions for the below analysis (netted out ROW Exrate)

xi: xtreg ch_ipi_naics5_cum6  ch_USagainstROW_cum6  i.period  if monthcount<545 & d_available_at4digit==1& d_ipi_sample==1, fe
predict ch_ipi_pred_cum6 
gen filtered_ipi_cum6  = ch_ipi_naics5_cum6 - ch_ipi_pred_cum6 if monthcount>545 & d_available_at4digit==1
label var filtered_ipi_cum6 "IPI, Cum6, Filtered for ROW Exrate Effect"
drop ch_ipi_pred_cum6

xi: xtreg ch_ppi_naics6_cum6  ch_USagainstROW_cum6  i.period  if monthcount<545 & d_available_at4digit==1, fe
predict ch_ppi_pred_cum6 
label var filtered_ipi_cum6 "PPI, Cum6, Filtered for ROW Exrate Effect"
gen filtered_ppi_cum6  = ch_ppi_naics6_cum6 - ch_ppi_pred_cum6 if monthcount>545 & d_available_at4digit==1
drop ch_ppi_pred_cum6

xi: xtreg ch_ipi_naics5_cum3  ch_USagainstROW_cum3  i.period  if monthcount<545 & d_available_at4digit==1& d_ipi_sample==1, fe
predict ch_ipi_pred_cum3 
gen filtered_ipi_cum3  = ch_ipi_naics5_cum3 - ch_ipi_pred_cum3 if monthcount>545 & d_available_at4digit==1
label var filtered_ipi_cum3 "IPI, Cum3, Filtered for ROW Exrate Effect"
drop ch_ipi_pred_cum3

xi: xtreg ch_ppi_naics6_cum3  ch_USagainstROW_cum3  i.period  if monthcount<545 & d_available_at4digit==1, fe
predict ch_ppi_pred_cum3 
gen filtered_ppi_cum3  = ch_ppi_naics6_cum3 - ch_ppi_pred_cum3 if monthcount>545 & d_available_at4digit==1
label var filtered_ppi_cum3 "PPI, Cum3, Filtered for ROW Exrate Effect"
drop ch_ppi_pred_cum3

*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
* ROBUSTNESS ANALYSISI



*****************
* Robustness

****** interactions

***** 


 *******************************************************************************************************************************************************************************************************
* Table 3: robustness analysis (controls, sample, addressing AR)
********

tsset panelvar_naics6 monthcount

gen ch_caputilization_cum3 = ln(utilization_sa/l3.utilization_sa)
gen energy_gsci_cum3= ln(commodityindex_energy_gsci/l3.commodityindex_energy_gsci) 
gen metals_gsci_cum3=ln(commodityindex_preciousmetals/l3.commodityindex_preciousmetals)

xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  ppi_inflation_china_cum3  ch_caputilization_cum3  commodity_all_cum3 energy_gsci_cum3 metals_gsci_cum3  l6.ch_ipi_naics5_cum3  l12.ch_ipi_naics5_cum3     i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  replace

* Not controling for PPI inflation 
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3  commodity_all_cum3 i.period  if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append

* controling only for CHINESE PPI inflaiton 
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3  commodity_all_cum3 ppi_inflation_china_cum3  i.period  if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append

* controling for lagged capacity utlitzation (Seasonally Adjusted)
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3  ch_ppi_medianweighted_cum3  ch_caputilization_cum3  commodity_all_cum3 i.period   if monthcount>545 & d_available_at4digit==1, fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append

* Commodity: controling energy and metals 
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3  ch_ppi_medianweighted_cum3  commodity_all_cum3  energy_gsci_cum3 metals_gsci_cum3   i.period if monthcount>545 & d_available_at4digit==1, fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append

* No Commodity controling 
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3   ch_ppi_medianweighted_cum3    i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append

* AR Patterns 
xi: xtreg filtered_ipi_cum3 l6.ch_ipi_naics5_cum3  l12.ch_ipi_naics5_cum3  ch_exr_chinaus_cum3   commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append

* Different sample: all observations
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period if monthcount>545, fe
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append

* Analysis at 5-digit level
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if monthcount>545 & d_available_at4digit==1 & d_ipi_sample==1, fe 
outreg using tables\Table3_Robustness_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append


********
* Second-Stage Estimation
********

xi: xtivreg2 filtered_ppi_cum3  (filtered_ipi_cum3 = ch_exr_chinaus_cum3)   ch_ppi_medianweighted_cum3   ppi_inflation_china_cum3 ch_caputilization_cum3  commodity_all_cum3 energy_gsci_cum3 metals_gsci_cum3 l6.ch_ipi_naics5_cum3  l12.ch_ipi_naics5_cum3    ch_ppi_medianweighted_cum3  i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  replace

* Not controling for PPI inflation 
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3)   commodity_all_cum3   i.period  if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

*  controling only for Chinese for inflation 
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3)   ppi_inflation_china_cum3 commodity_all_cum3   i.period  if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

* controling for lagged capacity utlitzation (Seasonally Adjusted)
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3)   ch_caputilization_cum3  commodity_all_cum3 i.period  ch_ppi_medianweighted_cum3  if monthcount>545 & d_available_at4digit==1, fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

* Commodity: controling also for energy and metals 
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3)  commodity_all_cum3  energy_gsci_cum3 metals_gsci_cum3  ch_ppi_medianweighted_cum3    i.period if monthcount>545 & d_available_at4digit==1, fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

* No Commodity controling 
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3)    ch_ppi_medianweighted_cum3    i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

* AR Patterns 
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3)   l6.ch_ipi_naics5_cum3  l12.ch_ipi_naics5_cum3    commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

* Different sample: all observations
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3)   ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period if monthcount>545 , fe
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

****** Analysis at 5-digit level
bys monthcount NAICS5: egen ch_ppi_naics5_cum3 = mean(ch_ppi_naics6_cum3) 
tsset panelvar_naics6 monthcount
xi: xtivreg2  ch_ppi_naics5_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if monthcount>545 & d_available_at4digit==1 & d_ipi_sample==1, fe 
outreg using tables\Table3B_Robustness_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append
drop ch_ppi_naics5_cum3 
************ More breaks


drop energy_gsci_cum3 metals_gsci_cum3 ch_caputilization_cum3 

*******************************************************************************************************************************************************************************************************
* Table 4: robustness analysis II (sup-periods)
********
*******
* (oilspkike: Oil>90 USD Barrel Brent in pre-Lehman times)
gen d_oilspike=0
replace d_oilspike = 1 if monthcount>=574 & monthcount<=585
* Financial crisis
gen d_financialcrisis =0 
replace d_financialcrisis = 1 if monthcount>=572 

* trade collapse August 2008 through April 2009,
gen d_tradecollapse = 0
replace d_tradecollapse = 1 if monthcount>=583 & monthcount<=591

********
* First-Stage Estimation
********
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3  d_financialcrisis d_oilspike  d_tradecollapse year i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  replace
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3  d_financialcrisis i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3  d_oilspike  i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3  d_tradecollapse  i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3 i.period if d_financialcrisis==1 &  monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3 i.period if d_oilspike==0 &  monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3 i.period if d_tradecollapse==0 & monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3 year commodity_all_cum3 i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_IPI_PT.doc, nocons  bdec(3) 3aster bracket se  append
********
* Second-Stage Estimation
********
xi: xtivreg2 filtered_ppi_cum3  (filtered_ipi_cum3 = ch_exr_chinaus_cum3)  ch_ppi_medianweighted_cum3  commodity_all_cum3  d_financialcrisis d_oilspike  d_tradecollapse year i.period if monthcount>545 & d_available_at4digit==1 , fe
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  replace
* adding the three dummies
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  d_financialcrisis i.period  if monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  d_oilspike i.period  if monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  d_tradecollapse i.period  if monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append
*inclusion or exclusion of subperiods
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if  d_financialcrisis==1 & monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if  d_oilspike==0 & monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if  d_tradecollapse==0 & monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append
xi: xtivreg2 filtered_ppi_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) year ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table4B_RobustnessII_2ndStage.doc, nocons  bdec(3) 3aster bracket se  append

drop d_oilspike d_financialcrisis d_tradecollapse





*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
******************************************************************************************************************************************************************************************************************************
******************************************************************************************************************************************************************************************************************************
*****************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
* Part III: further identification from the cross section
*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
* Table 5: Allowing for heterogenous responses across sectors (REDUCED FORM)
* Table A looks at whether import prices are affected differentially, table B reproduces the ivreg
****************
*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
*************************************** Table 5
*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
tsset panelvar_naics6 monthcount

* The industry measures should be TIME INVARIANT 
sort naics6
by naics6: egen temp_totallaborexp = total(totcomp) if cexpt!=.
by naics6: egen temp_totalcapital  = total(cexpt) if totcomp!=.
gen  temp_lab= temp_totallaborexp / temp_totalcapital 
by naics6: egen labor_share_A=  max(temp_lab)
drop temp*

* Alternatively: china_imports_parts_ratio
by naics6: egen temp =  mean(world_imports_parts_ratio)
by naics6: egen weighted_parts_impotratioratio_A =  max(temp)
drop temp*

* sigma_ is defined already

by naics6: egen sigma_A =  max(sigma_)

* We show that Chinas importance has perverse effects
by naics6: egen temp = mean(china_imports_units / world_imports_units)
by naics6: egen importshare_china_A =  max(temp)
drop temp*

* What about ROW Openess
by naics6: egen temp_total_ecvalue= total(ecvalue) if imports_US_total_in_usd_6digit!=. & imports_US_China_in_usd_6digit!=.
by naics6: egen temp_total_rowimports= total(imports_US_total_in_usd_6digit-imports_US_China_in_usd_6digit) if ecvalue!=.
by naics6: egen temp_total_imports= total(imports_US_total_in_usd_6digit) if ecvalue!=. & imports_US_China_in_usd_6digit!=.
gen temp= temp_total_rowimports/(1000*temp_total_ecvalue+temp_total_imports)
by naics6: egen openness_A=  max(temp)
drop temp*

*** At the 3-months horizon, we run each IV for split samples:

sum labor_share_A weighted_parts_impotratioratio_A sigma_A  importshare_china_A openness_A if ch_ppi_naics6_cum3!=. & ch_ipi_naics5_cum3!=., detail

global median_laborshare 7.178179  
global median_input_share 0.0001
global median_sigma 5.022222 
global median_chinashare .0926134 
global median_rowopeness .1489757 

tsset panelvar_naics6 monthcount

***********
* Table 5, Panel A: 6 month changes into IPI
gen importshare_china = imports_US_China_in_usd_6digit / (imports_US_total_in_usd_6digit+1000*ecvalue)

sum 	importshare_china 								if 								 ch_ppi_naics6_cum3!=. & ch_ipi_naics5_cum3!=. & year==2005, d
gen 	d_low_characteristic=0 								if 								 ch_ppi_naics6_cum3!=. & ch_ipi_naics5_cum3!=. & year==2005 & importshare_china!=.
replace d_low_characteristic=1 								if importshare_china  < r(p50) & ch_ppi_naics6_cum3!=. & ch_ipi_naics5_cum3!=. & year==2005 & importshare_china!=.
bys naics6: egen temp=max(d_low_characteristic)
replace d_low_characteristic=temp
drop temp

*bys year: sum d_low_characteristic

* 1 a Low China Import Share, 1st stage
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if d_available_at4digit==1 & d_low_characteristic==0 & d_ipi_sample==1& d_available_at4digit==1 &  monthcount>545, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  replace
* 1 b
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if d_low_characteristic==0 & monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  replace

** 2 a high China import share
xi: xtreg 		ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if d_available_at4digit==1 & d_low_characteristic==1 & d_ipi_sample==1& d_available_at4digit==1 &  monthcount>545, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
* 2 b high china import share
xi: xtivreg2 	ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if d_low_characteristic==1 & monthcount>545 & d_available_at4digit==1 &  monthcount>545, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
drop d_low_characteristic importshare_china


** High Labor Share
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if labor_share_A>$median_laborshare & labor_share_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if labor_share_A>$median_laborshare & labor_share_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
** Low Labor Share 
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if labor_share_A<$median_laborshare & labor_share_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if labor_share_A<$median_laborshare & labor_share_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append

** High Sigma (Elastic)
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if sigma_A>$median_sigma & sigma_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if sigma_A>$median_sigma & sigma_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
** Low Sigma (Inelastic)
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if sigma_A<$median_sigma & sigma_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if sigma_A<$median_sigma & sigma_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append

** High Inputs 
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if weighted_parts_impotratioratio_A>$median_input_share & weighted_parts_impotratioratio_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if weighted_parts_impotratioratio_A>$median_input_share & weighted_parts_impotratioratio_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
** Low Inputs 
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if weighted_parts_impotratioratio_A<$median_input_share & weighted_parts_impotratioratio_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if weighted_parts_impotratioratio_A<$median_input_share & weighted_parts_impotratioratio_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append

** High ROW Openness
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if openness_A>$median_rowopeness & openness_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if openness_A>$median_rowopeness & openness_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
** Low Row Openness
xi: xtreg ch_ipi_naics5_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  								if openness_A<$median_rowopeness & openness_A!=. &  monthcount>545 & d_available_at4digit==1 &  d_ipi_sample==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
xi: xtivreg2 ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3) ch_USagainstROW_cum3  ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  		if openness_A<$median_rowopeness & openness_A!=. &  monthcount>545 & d_available_at4digit==1, fe 
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append




************ Labor Intensity 
* High Labor Intensity
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & labor_share_A>$median_laborshare & labor_share_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
*Low Labor Intensity
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & labor_share_A<$median_laborshare & labor_share_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append


***** Sigma
* Elastic Demand (High Sigma sector
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & sigma_A >$median_sigma & sigma_A !=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
*Inelastic Demand (Low Sigma sector
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & sigma_A <$median_sigma & sigma_A !=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append

************** Inputs and Materials
* High share of Parts and  Inputs Sector
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A > $median_input_share & weighted_parts_impotratioratio_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
* Low share of Parts and  Inputs Sector
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A < $median_input_share & weighted_parts_impotratioratio_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append

********* ROW Openness
* Open Sector
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & openness_A> $median_rowopeness & openness_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
* Closed Sector
xi: xtreg filtered_ipi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & openness_A< $median_rowopeness & openness_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5A_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append




*******************************3
***********
* Table 5, Panel B: 6 month changes into IPI

* High China Import Share 
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & importshare_china_A>$median_chinashare & importshare_china_A!=. & d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  replace
* Low China Market Share 
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & importshare_china_A<$median_chinashare & importshare_china_A!=. & d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append

************ Labor Intensity 
* High Labor Intensity
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & labor_share_A>$median_laborshare & labor_share_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
*Low Labor Intensity
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & labor_share_A<$median_laborshare & labor_share_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append

***** Sigma
* Elastic Demand (High Sigma sector
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & sigma_A >$median_sigma & sigma_A !=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
*Inelastic Demand (Low Sigma sector
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & sigma_A <$median_sigma & sigma_A !=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append

************** Inputs and Materials
* High share of Parts and  Inputs Sector
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A > $median_input_share & weighted_parts_impotratioratio_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
* Low share of Parts and  Inputs Sector
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A < $median_input_share & weighted_parts_impotratioratio_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append

********* ROW Openness
* Open Sector
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & openness_A> $median_rowopeness & openness_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append
* Closed Sector
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & openness_A< $median_rowopeness & openness_A!=.& d_ipi_sample==1& d_available_at4digit==1, fe
outreg using tables\Table5B_heterogeneity_ipi.doc, nocons  bdec(3) 3aster bracket  se  append

*******************************3
***********
* Table 5, Panel C: 3 month changes into PPI

*******************************3
* High China Import Share 
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & importshare_china_A>$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  replace
* Low China Market Share 
xi: xtreg ch_ppi_naics6_cum3 ch_exr_chinaus_cum3 ch_USagainstROW_cum3  commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & importshare_china_A<$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************ Labor Intensity 
* High Labor Intensity
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & labor_share_A>$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Low Labor Intensity
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & labor_share_A<$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
***** Sigma
* Elastic Demand (High Sigma sector
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & sigma_A >$median_sigma & sigma_A !=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Inelastic Demand (Low Sigma sector
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & sigma_A <$median_sigma & sigma_A !=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************** Inputs and Materials
* High share of Parts and  Inputs Sector
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A > $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Low share of Parts and  Inputs Sector
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A < $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
********* ROW Openness
* Open Sector
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & openness_A> $median_rowopeness & openness_A!=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Closed Sector
xi: xtreg filtered_ppi_cum3 ch_exr_chinaus_cum3 commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & openness_A< $median_rowopeness & openness_A!=., fe
outreg using tables\Table5C_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append

***********
* Table 5, Panel D: 6 month changes into PPI
* High China Import Share 
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & importshare_china_A>$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  replace
* Low China Market Share 
xi: xtreg ch_ppi_naics6_cum6 ch_exr_chinaus_cum6 ch_USagainstROW_cum6  commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & importshare_china_A<$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************ Labor Intensity 
* High Labor Intensity
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & labor_share_A>$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Low Labor Intensity
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & labor_share_A<$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
***** Sigma
* Elastic Demand (High Sigma sector
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & sigma_A >$median_sigma & sigma_A !=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Inelastic Demand (Low Sigma sector
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & sigma_A <$median_sigma & sigma_A !=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************** Inputs and Materials
* High share of Parts and  Inputs Sector
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A > $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Low share of Parts and  Inputs Sector
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A < $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
********* ROW Openness
* Open Sector
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & openness_A> $median_rowopeness & openness_A!=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Closed Sector
xi: xtreg filtered_ppi_cum6 ch_exr_chinaus_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & openness_A< $median_rowopeness & openness_A!=., fe
outreg using tables\Table5D_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append



****************
* Panels E&F: separate IV regs

* High China Import Share 
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & importshare_china_A>$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  replace
* Low China Market Share 
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & importshare_china_A<$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************ Labor Intensity 
* High Labor Intensity
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & labor_share_A>$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Low Labor Intensity
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & labor_share_A<$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
***** Sigma
* Elastic Demand (High Sigma sector
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & sigma_A >$median_sigma & sigma_A !=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Inelastic Demand (Low Sigma sector
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & sigma_A <$median_sigma & sigma_A !=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************** Inputs and Materials
* High share of Parts and  Inputs Sector
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A > $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Low share of Parts and  Inputs Sector
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A < $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
********* ROW Openness
* Open Sector
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & openness_A> $median_rowopeness & openness_A!=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Closed Sector
xi: xtivreg2 filtered_ppi_cum3   (filtered_ipi_cum3 = ch_exr_chinaus_cum3) commodity_all_cum3 ch_ppi_medianweighted_cum3   i.period  if d_available_at4digit==1 & openness_A< $median_rowopeness & openness_A!=., fe
outreg using tables\Table5E_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append

*********
* Panel F:  IVregs at 6months horizon

* High China Import Share 
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & importshare_china_A>$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  replace
* Low China Market Share 
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & importshare_china_A<$median_chinashare & importshare_china_A!=. , fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************ Labor Intensity 
* High Labor Intensity
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & labor_share_A>$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Low Labor Intensity
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & labor_share_A<$median_laborshare & labor_share_A!=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
***** Sigma
* Elastic Demand (High Sigma sector
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & sigma_A >$median_sigma & sigma_A !=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
*Inelastic Demand (Low Sigma sector
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & sigma_A <$median_sigma & sigma_A !=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
************** Inputs and Materials
* High share of Parts and  Inputs Sector
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A > $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Low share of Parts and  Inputs Sector
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & weighted_parts_impotratioratio_A < $median_input_share & weighted_parts_impotratioratio_A!=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
********* ROW Openness
* Open Sector
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & openness_A> $median_rowopeness & openness_A!=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append
* Closed Sector
xi: xtivreg2 filtered_ppi_cum6   (filtered_ipi_cum6 = ch_exr_chinaus_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6   i.period  if d_available_at4digit==1 & openness_A< $median_rowopeness & openness_A!=., fe
outreg using tables\Table5F_heterogeneity_ppi.doc.doc, nocons  bdec(3) 3aster bracket  se  append


*******************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
* Table 7 - Interactions

egen laborintensity_stdA= std(labor_share_A)
egen sigma_stdA= std(sigma_A)
egen inputintensity_stdA= std(weighted_parts_impotratioratio_A)
egen nonchinaopenness_stdA= std(openness)


* China Interactions
gen inter_cny_laborintensity_cum6	= ch_exr_chinaus_cum6* laborintensity_stdA
gen inter_cny_sigma_cum6			= ch_exr_chinaus_cum6* sigma_stdA
gen inter_cny_input_cum6			= ch_exr_chinaus_cum6* inputintensity_stdA
gen inter_cny_openness_cum6		= ch_exr_chinaus_cum6* nonchinaopenness_stdA
gen inter_cny_importshareA_cum6 = ch_exr_chinaus_cum6*importshare_china_A
*****************************************
* Table 7A - First Stage

*ordering the vars for outreg
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 inter_cny_laborintensity_cum6 inter_cny_sigma_cum6 inter_cny_input_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  replace

* inter Labor - CONTROLS 
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 inter_cny_laborintensity_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
* inter Labor, TIME FIXED EFFECTS
xi: xtreg filtered_ipi_cum6 inter_cny_laborintensity_cum6 i.monthcount if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append

* Inter - Sigma - CONTROLS  
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 inter_cny_sigma_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
* inter - sigma , TIME FIXED EFFECTS
xi: xtreg filtered_ipi_cum6 inter_cny_sigma_cum6 i.monthcount if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append

* Inter-Input Intensity
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 inter_cny_input_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
* inter - input Intensity, TIME FIXED EFFECTS
xi: xtreg filtered_ipi_cum6 inter_cny_input_cum6  i.monthcount if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append

* All three Interactions - CONTROLS 
xi: xtreg filtered_ipi_cum6 ch_exr_chinaus_cum6 inter_cny_laborintensity_cum6 inter_cny_sigma_cum6 inter_cny_input_cum6 commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
* inter - all four interactions , TIME FIXED EFFECTS
xi: xtreg filtered_ipi_cum6 inter_cny_laborintensity_cum6 inter_cny_sigma_cum6 inter_cny_input_cum6 inter_cny_openness_cum6  i.monthcount if monthcount>545 & d_available_at4digit==1,fe
outreg using tables\Table7A_1stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
*****************************************
* Table 7B - Second Stage

*ordering the vars for outreg
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = ch_exr_chinaus_cum6  inter_cny_laborintensity_cum6 inter_cny_sigma_cum6 inter_cny_input_cum6 inter_cny_openness_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  replace

*Labor Intensity - Controls
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = ch_exr_chinaus_cum6  inter_cny_laborintensity_cum6 ) commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
*Labor Intensity - Time Fixed Effects
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = inter_cny_laborintensity_cum6 ) i.monthcount if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append

* Elast of Demand - Controls
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = ch_exr_chinaus_cum6  inter_cny_sigma_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
* Elast of Demand - Time Fixed Effects
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = inter_cny_sigma_cum6) i.monthcount if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append

* Input Intensity - Controls
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = ch_exr_chinaus_cum6  inter_cny_input_cum6) commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
* Input Intensity - Time Fixed Effects
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = inter_cny_input_cum6) i.monthcount if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append

* All 3 interactions - Controls
xi: xtivreg2 filtered_ppi_cum6 (filtered_ipi_cum6 = ch_exr_chinaus_cum6  inter_cny_laborintensity_cum6 inter_cny_sigma_cum6 inter_cny_input_cum6 ) commodity_all_cum6 ch_ppi_medianweighted_cum6  i.period if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append
* All 3 interactions - Controls
xi: xtivreg2 filtered_ppi_cum6 i.monthcount (filtered_ipi_cum6 = inter_cny_laborintensity_cum6 inter_cny_sigma_cum6 inter_cny_input_cum6 inter_cny_openness_cum6)  if monthcount>545 & d_available_at4digit==1,fe  
outreg using tables\Table7B_2stage_IVInteractions.doc, nocons  bdec(3) 3aster bracket  se  append





*Defining the coefficent and SE matrix
mat mat_Figure8_ivinteractions =(.,.,.)
mat colnames  mat_Figure8_ivinteractions = PT_IPI_PPI_interactions_Coef PT_IPI_PPI_interactions_SE  Laglength 
forvalues laglength = 1/24 {
	gen temp_inter_labor= ch_exr_chinaus_cum`laglength' * laborintensity_stdA
	gen temp_inter_sigma= ch_exr_chinaus_cum`laglength' * sigma_stdA
	gen temp_inter_parts= ch_exr_chinaus_cum`laglength' * inputintensity_stdA
	xi: xtivreg2  control_ch_ppi_cum`laglength'   ( control_ch_ipi_cum`laglength'=  ch_exr_chinaus_cum`laglength' temp_inter_labor temp_inter_sigma temp_inter_parts)  commodity_all_cum`laglength' ch_ppi_medianweighted_cum`laglength' i.period if monthcount>545 & d_available_at4digit==1, fe 
	drop temp*
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	mat mat_Figure8_ivinteractions  =(mat_Figure8_ivinteractions \helpmat_coef[1,1],sqrt(helpmat_se[1,1]),`laglength')
}
* Listing the matrix of coefficients

mat list mat_Figure8_ivinteractions 

*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************

* Table 9: QUANTITIY	 response, potentially heterogeneous

* REPRODUCE THE GRAPH AT UP TO 24m HORIZON

tsset panelvar_naics6 monthcount

forvalues laglength = 1/36 {
	gen  ch_chinamarketshare_cum`laglength' = ln(imports_US_China_in_usd_6digit/l`laglength'.imports_US_China_in_usd_6digit)
}

* For horizons over 24 months, the ch exrate, ch com. prices, and global inflation need to be created
forvalues laglength = 25/36 {
	local lag_minus_one = `laglength'-1
	gen ch_exr_chinaus_cum`laglength'= ch_exr_chinaus_cum`lag_minus_one' + l`laglength'.ch_exr_chinaus_cum1  
	gen ch_ppi_medianweighted_cum`laglength' = ch_ppi_medianweighted_cum`lag_minus_one'  + l`laglength'.ch_ppi_medianweighted_cum1
	gen commodity_all_cum`laglength'= commodity_all_cum`lag_minus_one ' + l`laglength'.commodity_all_cum1  
	gen ch_USagainstROW_cum`laglength'= ch_USagainstROW_cum`lag_minus_one' + l`laglength'.ch_USagainstROW_cum1  
}


* This generates the CONTROL For Quantity
forvalues laglength = 1/36 {
	xi: xtreg ch_chinamarketshare_cum`laglength' ch_USagainstROW_cum`laglength'   i.period  if monthcount<545 & d_available_at4digit==1, fe
	predict control_chinamarketshare_cum`laglength'
}


mat mat_Figure9_quantityresponse=(.,.,.)
mat colnames  mat_Figure9_quantityresponse = Yuan_Quantity1_Coef Yuan_Quantity1_SE  Laglength 

forvalues laglength = 1/35 {
	xi: xtreg control_chinamarketshare_cum`laglength' ch_exr_chinaus_cum`laglength' commodity_all_cum`laglength' ch_ppi_medianweighted_cum`laglength' i.period if monthcount>420 & d_available_at4digit==1, fe
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	mat mat_Figure9_quantityresponse  =(mat_Figure9_quantityresponse\helpmat_coef[1,1],sqrt(helpmat_se[1,1]),`laglength')
}


* Listing the matrix of coefficients

mat list mat_Figure9_quantityresponse





******
* The same thing, but IMPORTSHARE

mat mat_Figure9B_marketshareresponse=(.,.,.)
mat colnames  mat_Figure9B_marketshareresponse = Yuan_Quantity1_Coef Yuan_Quantity1_SE  Laglength 
forvalues laglength = 1/24 {
	gen  ch_chinamarketshare_cum`laglength' = ln((imports_US_China_in_usd_6digit/ imports_US_total_in_usd_6digit)/(l`laglength'.imports_US_China_in_usd_6digit/ l`laglength'.imports_US_total_in_usd_6digit))
	xi: xtreg ch_chinamarketshare_cum`laglength' ch_exr_chinaus_cum`laglength' commodity_all_cum`laglength' ch_ppi_medianweighted_cum`laglength' i.period if monthcount>420 & d_available_at4digit==1, fe
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	mat mat_Figure9B_marketshareresponse  =(mat_Figure9B_marketshareresponse\helpmat_coef[1,1],sqrt(helpmat_se[1,1]),`laglength')
	drop ch_chinamarketshare_cum`laglength' 
}

* For horizons over 24 months, the ch exrate, ch com. prices, and global inflation need to be created
forvalues laglength = 25/36 {
	local lag_minus_one = `laglength'-1
	gen ch_exr_chinaus_cum`laglength'= ch_exr_chinaus_cum`lag_minus_one' + l`laglength'.ch_exr_chinaus_cum1  
	gen ch_ppi_medianweighted_cum`laglength' = ch_ppi_medianweighted_cum`lag_minus_one'  + l`laglength'.ch_ppi_medianweighted_cum1
	gen commodity_all_cum`laglength'= commodity_all_cum`lag_minus_one ' + l`laglength'.commodity_all_cum1  
	gen  ch_chinamarketshare_cum`laglength' = ln((imports_US_China_in_usd_6digit/ imports_US_total_in_usd_6digit)/(l`laglength'.imports_US_China_in_usd_6digit/ l`laglength'.imports_US_total_in_usd_6digit))
	xi: xtreg ch_chinamarketshare_cum`laglength' ch_exr_chinaus_cum`laglength' commodity_all_cum`laglength' ch_ppi_medianweighted_cum`laglength' i.period if monthcount>420 & d_available_at4digit==1, fe
	mat helpmat_coef = e(b)
	mat helpmat_se = e(V)
	*adding a line to the matrix
	mat mat_Figure9B_marketshareresponse  =(mat_Figure9B_marketshareresponse\helpmat_coef[1,1],sqrt(helpmat_se[1,1]),`laglength')
}
forvalues laglength = 1/36 {
	drop ch_chinamarketshare_cum`laglength' ch_exr_chinaus_cum`laglength' commodity_all_cum`laglength'  ch_ppi_medianweighted_cum`laglength'   
}

mat list mat_Figure9B_marketshareresponse

*******************************************************************************************************************************************************************************************************
*******************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************************************
************************************************************************************************************************************************************************
* Last Step: Predict the impact
************************************************************************************************************************************************************************************************
 
save temp, replace

use temp, clear
tsset panelvar_naics6 monthcount


gen inter_cum3_sigma			= 	ch_exr_chinaus_cum3 * sigma_stdA
gen inter_cum3_inputintensity	=	ch_exr_chinaus_cum3 * inputintensity_stdA
gen inter_cum3_laborintensity 	=	ch_exr_chinaus_cum3 * laborintensity_stdA


xi: xtreg filtered_ppi_cum3   ch_exr_chinaus_cum3 l3.ch_exr_chinaus_cum3  l6.ch_exr_chinaus_cum3  l9.ch_exr_chinaus_cum3 l12.ch_exr_chinaus_cum3 l15.ch_exr_chinaus_cum3  l18.ch_exr_chinaus_cum3  l21.ch_exr_chinaus_cum3  inter_cum3_sigma l3.inter_cum3_sigma  inter_cum3_inputintensity l3.inter_cum3_inputintensity inter_cum3_laborintensity l3.inter_cum3_laborintensity l3.ch_ppi_naics6_cum3 l6.ch_ppi_naics6_cum3 l9.ch_ppi_naics6_cum3 , fe

*xi: xtreg filtered_ppi_cum3   ch_exr_chinaus_cum3 l3.ch_exr_chinaus_cum3  l6.ch_exr_chinaus_cum3  l9.ch_exr_chinaus_cum3 l12.ch_exr_chinaus_cum3 l15.ch_exr_chinaus_cum3  l18.ch_exr_chinaus_cum3  l21.ch_exr_chinaus_cum3  inter_cum3_sigma l3.inter_cum3_sigma  inter_cum3_inputintensity l3.inter_cum3_inputintensity inter_cum3_laborintensity l3.inter_cum3_laborintensity l3.ch_ppi_naics6_cum3 l6.ch_ppi_naics6_cum3 l9.ch_ppi_naics6_cum3 l12.ch_ppi_naics6_cum3 l15.ch_ppi_naics6_cum3 l18.ch_ppi_naics6_cum3, fe


* Baseline is 0 changes:
replace ch_exr_chinaus_cum3=0
replace inter_cum3_sigma			= 	ch_exr_chinaus_cum3 * sigma_stdA
replace inter_cum3_inputintensity	=	ch_exr_chinaus_cum3 * inputintensity_stdA
replace inter_cum3_laborintensity 	=	ch_exr_chinaus_cum3 * laborintensity_stdA

predict baseline if e(sample)

* lets do 10% + 1.25*12

replace  ch_exr_chinaus_cum1=0
replace  ch_exr_chinaus_cum1=0.025   if monthcount==560
replace  ch_exr_chinaus_cum1=0.025 if monthcount==561
replace  ch_exr_chinaus_cum1=0.025 if monthcount==562
replace  ch_exr_chinaus_cum1=0.025 if monthcount==563
replace  ch_exr_chinaus_cum1=0.025 if monthcount==564
replace  ch_exr_chinaus_cum1=0.025 if monthcount==565
replace  ch_exr_chinaus_cum1=0.025 if monthcount==566
replace  ch_exr_chinaus_cum1=0.025 if monthcount==567
replace  ch_exr_chinaus_cum1=0.025 if monthcount==568
replace  ch_exr_chinaus_cum1=0.025 if monthcount==569

replace  ch_exr_chinaus_cum3= ch_exr_chinaus_cum1 + l1.ch_exr_chinaus_cum1 + l2.ch_exr_chinaus_cum1

replace inter_cum3_sigma			= 	ch_exr_chinaus_cum3 * sigma_stdA
replace inter_cum3_inputintensity	=	ch_exr_chinaus_cum3 * inputintensity_stdA
replace inter_cum3_laborintensity 	=	ch_exr_chinaus_cum3 * laborintensity_stdA

predict scenario1 if e(sample)

replace  ch_exr_chinaus_cum1=0
replace  ch_exr_chinaus_cum1=0.01 if monthcount==560
replace  ch_exr_chinaus_cum1=0.01 if monthcount==561
replace  ch_exr_chinaus_cum1=0.01 if monthcount==562
replace  ch_exr_chinaus_cum1=0.01 if monthcount==563
replace  ch_exr_chinaus_cum1=0.01 if monthcount==564
replace  ch_exr_chinaus_cum1=0.01 if monthcount==565
replace  ch_exr_chinaus_cum1=0.01 if monthcount==566
replace  ch_exr_chinaus_cum1=0.01 if monthcount==567
replace  ch_exr_chinaus_cum1=0.01 if monthcount==568
replace  ch_exr_chinaus_cum1=0.01 if monthcount==569

replace  ch_exr_chinaus_cum1=0.01 if monthcount==570
replace  ch_exr_chinaus_cum1=0.01 if monthcount==571
replace  ch_exr_chinaus_cum1=0.01 if monthcount==572
replace  ch_exr_chinaus_cum1=0.01 if monthcount==573
replace  ch_exr_chinaus_cum1=0.01 if monthcount==574
replace  ch_exr_chinaus_cum1=0.01 if monthcount==575
replace  ch_exr_chinaus_cum1=0.01 if monthcount==576
replace  ch_exr_chinaus_cum1=0.01 if monthcount==577
replace  ch_exr_chinaus_cum1=0.01 if monthcount==578
replace  ch_exr_chinaus_cum1=0.01 if monthcount==579

replace  ch_exr_chinaus_cum1=0.01 if monthcount==580
replace  ch_exr_chinaus_cum1=0.01 if monthcount==581
replace  ch_exr_chinaus_cum1=0.01 if monthcount==582
replace  ch_exr_chinaus_cum1=0.01 if monthcount==583
replace  ch_exr_chinaus_cum1=0.01 if monthcount==584

replace  ch_exr_chinaus_cum3= ch_exr_chinaus_cum1 + l1.ch_exr_chinaus_cum1 + l2.ch_exr_chinaus_cum1

replace inter_cum3_sigma			= 	ch_exr_chinaus_cum3 * sigma_stdA
replace inter_cum3_inputintensity	=	ch_exr_chinaus_cum3 * inputintensity_stdA
replace inter_cum3_laborintensity 	=	ch_exr_chinaus_cum3 * laborintensity_stdA

predict scenario2 if e(sample)

gen impact_scenario1= scenario1 -  baseline 
gen impact_scenario2= scenario2 -  baseline 

twoway (kdensity impact_scenario1, lcolor(red)) (kdensity impact_scenario2, lcolor(orange) lpattern(dash)) if  monthcount>560 & monthcount<590 

sum impact_scenario1 impact_scenario2, detail

sort monthcount
by monthcount: egen avg_impact_scenario1 		= mean(impact_scenario1)
gen temp_weightedcount= impact_scenario1 *  PPI_weight
by monthcount: egen weighted_impact_scenario1 	= total(temp_weightedcount)
drop temp_weightedcount
by monthcount: egen avg_impact_scenario2 		= mean(impact_scenario2)
gen temp_weightedcount= impact_scenario2 *  PPI_weight
by monthcount: egen weighted_impact_scenario2 	= total(temp_weightedcount)
drop temp_weightedcount

twoway (line avg_impact_scenario2 monthcount, connect(ascending)) (line avg_impact_scenario1 monthcount) if  naics6=="311111" & monthcount>=555
* ONE WOULD NEED TO replace monthcount so that the graph is properly formated


tsset panelvar_naics6 monthcount






***************************************************************************************************************************************************************
***************************************************************************************************************************************************************
***************************************************************************************************************************************************************
***************************************************************************************************************************************************************
* Cross Sectional Scatter Plot
drop count


gen temp_importshare_china = imports_US_China_in_usd_6digit / (imports_US_total_in_usd_6digit+1000*ecvalue) if 								 ch_ppi_naics6_cum3!=. & ch_ipi_naics5_cum3!=. & year==2005
bys naics6: egen marketshare_china=max(temp_importshare_china)
drop temp_importshare_china

gen temp_naics_check= substr(naics6,6,1)
gen d_naicsxxx=0
replace d_naicsxxx=1 if substr(naics6,6,1)=="X"
drop temp_naics_check

gen tempcount=1 if ch_ppi_naics6_cum3!=. & ch_ipi_naics5_cum3!=. & ch_exr_chinaus_cum6!=. & d_available_at4digit==1 & monthcount>545 & d_naicsxxx==0
bys naics6: egen count= total(tempcount)
drop tempcount

tsset panelvar_naics6 monthcount

* 4. IV Coeff
	mat mat_sectorspecIV=(.,.,.,.,.,.,.,.)
	mat colnames mat_sectorspecIV= IVcoefficient_sectoral SE_IVcoef Marketshare_china PP_PT_SE NAICS2D Openess ImportShare  MarketShare 
	levelsof  naics6 if ch_ppi_naics6_cum3!=. & ch_ipi_naics5_cum3!=. & ch_exr_chinaus_cum6!=. & count>17 & count!=. & monthcount>545 & d_naicsxxx==0 & marketshare_china!=., local(sectors)
	foreach l of local sectors {
		xi: ivreg ch_ppi_naics6_cum3 (ch_ipi_naics5_cum3 =  ch_exr_chinaus_cum3)  ch_USagainstROW_cum3 ch_ppi_medianweighted_cum3  commodity_all_cum3  i.period  if monthcount>545 & d_available_at4digit==1 & naics6=="`l'"
				egen temp1 = mean(marketshare_china) if  naics6=="`l'" 
		egen temp2 = max(temp1)
		global marketshare = temp2[1]
		drop temp*
		display r(estimate)
		lincom  ch_ipi_naics5_cum3
		mat helpmat_coef= r(estimate)
		mat helpmat_se= r(se)
		mat mat_sectorspecIV =(mat_sectorspecIV\helpmat_coef[1,1],helpmat_se[1,1],$marketshare,., `l',.,.,.)
	}
	mat list mat_sectorspecIV

svmat mat_sectorspecIV, names(col) 

label var IVcoefficient_sectoral "2nd Stage Coefficient PPI reaction to IPI" 
 
gen ln_IVcoef=  ln(IVcoefficient_sectoral)
label var ln_IVcoef "2nd Stage Coefficient PPI Reaction to IPI (Ln)" 

replace Marketshare_china=Marketshare_china*100
label var Marketshare_china "Sectoral U.S. Marketshare of Chinese Imports (in %)"
gen ln_marketshare = ln(Marketshare_china)
label var ln_marketshare "Ln of Market share China"

*******************
* Figure
twoway (scatter  ln_IVcoef Marketshare_china) (lfit  ln_IVcoef Marketshare_china) (lfit ln_IVcoef Marketshare_china if Marketshare_china <30, lpattern(dash)) if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, legend(order(1 "6-Digit U.S. Sectors" 2 "Linear Prediction" 3 "Linear Prediction if Markeshare<30%")) ytitle(Rate of Pass Through of IPI into PPI (LN)) 

twoway (scatter  ln_IVcoef Marketshare_china) (lfit  ln_IVcoef Marketshare_china) (lfit ln_IVcoef Marketshare_china if Marketshare_china <30, lpattern(dash)) if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, legend(order(1 "6-Digit U.S. Sectors" 2 "Linear Prediction" 3 "Linear Prediction if Markeshare<30%")) ytitle(Rate of Pass Through of IPI into PPI (LN)) 

**********


reg IVcoefficient_sectoral Marketshare_china if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, robust
twoway (scatter  ln_IVcoef Marketshare_china) (lfit  ln_IVcoef Marketshare_china) (lfit ln_IVcoef Marketshare_china if Marketshare_china <30, lpattern(dash)) if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, legend(order(1 "6-Digit U.S. Sectors" 2 "Linear Prediction" 3 "Linear Prediction if Markeshare<30%")) ytitle(Rate of Pass Through of IPI into PPI (LN)) 


* Alternative (not in paper): log on log
twoway (scatter  ln_IVcoef ln_marketshare) (lfit  ln_IVcoef ln_marketshare) (lfit ln_IVcoef ln_marketshare if Marketshare_china >0.1, lpattern(dash)) if IVcoefficient_sectoral>0.1 &  IVcoefficient_sectoral<1, legend(order(1 "6-Digit U.S. Sectors" 2 "Linear Prediction" 3 "Linear Prediction if Markeshare<30%")) ytitle(Rate of Pass Through of IPI into PPI) 
reg ln_IVcoef ln_marketshare if IVcoefficient_sectoral>0.1 &  IVcoefficient_sectoral<1, robust

reg IVcoefficient_sectoral  Marketshare_china if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, robust
reg ln_IVcoef Marketshare_china if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, robust
reg ln_IVcoef Marketshare_china if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1 & Marketshare_china <0.3, robust


twoway (scatter IVcoefficient_sectoral Marketshare_china) (lfit IVcoefficient_sectoral Marketshare_china ) (lfit IVcoefficient_sectoral Marketshare_china if Marketshare_china <0.3)  if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, title(level on level - restricted) 
twoway (scatter  ln_IVcoef Marketshare_china) (lfit  ln_IVcoef Marketshare_china) , title(LN Coeff on level MS - unrestricted) 
twoway (scatter  ln_IVcoef Marketshare_china) (lfit  ln_IVcoef Marketshare_china) (lfit ln_IVcoef Marketshare_china if Marketshare_china <0.3) if IVcoefficient_sectoral>0 &  IVcoefficient_sectoral<1, title(LN Coeff on level MS - restricted) 


drop count d_naicsxxx
drop 	marketshare_china
drop IVcoefficient_sectoral SE_IVcoef Marketshare_china PP_PT_SE NAICS2D Openess ImportShare MarketShare ln_IVcoef ln_marketshare
drop temp*











***************************************************************************************************************************************************************
***************************************************************************************************************************************************************
***************************************************************************************************************************************************************
***************************************************************************************************************************************************************
* BOOOOTS TRAP in FN 21








xi: bootstrap, reps(100) saving(IPI_filteredcoeffs.dta, replace): xtreg ch_ipi_naics5_cum3  ch_USagainstROW_cum3   i.period  if monthcount<545 & d_available_at4digit==1& d_ipi_sample==1, fe
use IPI_filteredcoeffs, clear
keep _b_ch_USagainstROW_cum3
save IPI_filteredcoeffs.dta, replace 

use "2012-07-05 Yuan-and-US-inflation.dta", replace

drop panelvar
*drop   ch_ppi_median_tradeweighted

egen panelvar_naics6= group(naics6)
 
tsset panelvar_naics6 monthcount


*use "Revision_Yuanpaper_moreexrates_2014 09 09.dta"

* We start on January 01, 1995. 
keep if monthcount>=420

sort naics6
egen temp1= total(imports_US_total_in_usd_6digit)
by naics6: egen temp2 = total(imports_US_total_in_usd_6digit)
gen sectorweight = temp2/temp1
drop temp* 
tsset panelvar_naics6 monthcount

gen temp=1
bys panelvar_naics6 monthcount: egen count=total(temp)
drop temp
sum count
hist count 

************ 
gen ch_ipi_naics5 = ln(ImportPI_5digit /l1.ImportPI_5digit)
label var ch_ipi_naics5 "Ch. Ln Import Price Index"
gen ch_exr_yuan_usd= -ch_exrate
label var ch_exr_yuan_usd "Ch. Ln USD per Yuan"

replace ch_USagainstROW  = -ch_USagainstROW 
label var ch_USagainstROW "Ch. Ln USD per foreign Currency (we expect a positive PT coefficient)"

replace ch_tradepartnerAgainstROW= -ch_tradepartnerAgainstROW
gen ch_ppi_6digit= ln(ppi_6digit/l1.ppi_6digit)
gen ch_commodityindex_all_gsci= ln( commodityindex_all_gsci / l1.commodityindex_all_gsci)

***************************
* we will only use those IPI that are allocated from 4 digits.

gen naics5= substr(naics6,1,5)
gen d_available_at4digit= 0
replace d_available_at4digit=1 if length(cluster_ImportPI)>=4
sum  ImportPI_5digit if  d_available_at4digit==1

* the cluster variable needs to be constant throughout time:
sort naics6 monthcount
by naics6: gen finalcluster= cluster_ImportPI[_N-30]
tsset panelvar_naics6 monthcount

* to create a dummy that uses only the 118 original IPI price indices
gen finalcluster_monthcount=  finalcluster +"_" + string(monthcount)
sort finalcluster_monthcount naics6
gen temp=1
by finalcluster_monthcount: gen counter=sum(temp)
sum counter
sum counter if d_available_at4digit==1
gen d_ipi_sample=0
by finalcluster_monthcount: replace d_ipi_sample=1 if counter==1
tsset panelvar_naics6 monthcount


**************
* USD Yuan Exrate
gen ch_exr_chinaus_cum1 = ch_exr_yuan_usd
label var ch_exr_chinaus_cum1 " 1-Month Change of CNY/USD (positive means Yuan appreciation)"
* Other Trade Weighted Exr
gen ch_USagainstROW_cum1 =  ch_USagainstROW 
label var ch_USagainstROW_cum1 " 1-Month Change of USD Agaist ROW (positive means ROW appreciation)"
gen ch_USD_tradeweighted_cum1= ch_USD_tradeweighted
label var ch_USD_tradeweighted_cum1 "1-Month Change of USD Import Weighted (positive means Foreign appreciates)"

* Commodity Prices 
gen commodity_all_cum1 = ln(commodityindex_all_gsci / l1.commodityindex_all_gsci )
label var commodity_all_cum1  "GS CI Total Index 1-Month Change"

gen monthly_ppi_china = (ppi_inflation_IMFIFS_china- l1. ppi_inflation_IMFIFS_china)*12 + (l1. ppi_inflation_IMFIFS_china)
* Inflation in China
gen ppi_inflation_china_cum1 = monthly_ppi_china
label var ppi_inflation_china_cum1 "1-Month PPI Inflation China"

gen monthly_ppi_tradepart = (ch_ppi_partner_tradeweighted - l1.ch_ppi_partner_tradeweighted)*12 + (l1.ch_ppi_partner_tradeweighted)
* Trade Weighted Inflation the trade partners of the US
gen ch_ppi_alltradepartners_cum1 =  monthly_ppi_tradepart
label var ch_ppi_alltradepartners_cum1 "1-Month PPI Inflation ROW (US Import Weighted)"

gen monthly_ppi_medwgt_allpartners = (ch_ppi_median_tradeweighted  - l1.ch_ppi_median_tradeweighted )*12 + (l1.ch_ppi_median_tradeweighted )
* Trade Weighted Inflation the trade partners of the US
gen ch_ppi_medianweighted_cum1 = monthly_ppi_medwgt_allpartners 
label var ch_ppi_medianweighted_cum1 "1-Month PPI Inflation ROW (median import Weighted)"



forvalues laglength = 2/3 {
	local lag_minus_one = `laglength'-1
	* USD Yuan
	gen ch_exr_chinaus_cum`laglength'= ch_exr_chinaus_cum`lag_minus_one' + l`laglength'.ch_exr_chinaus_cum1  
	label var ch_exr_chinaus_cum`laglength' "`laglength' Months Change of CNY/USD (positive means Yuan appreciation)"
	* ROW Exrate
	gen ch_USagainstROW_cum`laglength'= ch_USagainstROW_cum`lag_minus_one' + l`laglength'.ch_USagainstROW_cum1  
	label var ch_USagainstROW_cum`laglength' "`laglength' Months Change of ROW Exrate against USD (positive means ROW appreciation)"
	* Total Trade Weighted Exrate
	gen ch_USD_tradeweighted_cum`laglength'= ch_USD_tradeweighted_cum`lag_minus_one' + l`laglength'.ch_USD_tradeweighted_cum1
	label var ch_USD_tradeweighted_cum`laglength' "`laglength' Months Change of USD Import Weighted (positive means Foreign appreciates)"
	* Inflation in China
	gen ppi_inflation_china_cum`laglength'= ppi_inflation_china_cum`lag_minus_one' + l`laglength'.ppi_inflation_china_cum1  
	label var ppi_inflation_china_cum`laglength' "`laglength' Months Cum Inflation China "
	* Trade Weighted Inflation the trade partners of the US
	gen ch_ppi_alltradepartners_cum`laglength'=  ch_ppi_alltradepartners_cum`lag_minus_one' + l`laglength'.ch_ppi_alltradepartners_cum1  
	label var ch_ppi_alltradepartners_cum`laglength' "`laglength' Months Cum Inflation in world (import weighted)"
	* Trade Weighted Inflation the trade partners of the US
	gen ch_ppi_medianweighted_cum`laglength' = ch_ppi_medianweighted_cum`lag_minus_one'  + l`laglength'.ch_ppi_medianweighted_cum1
	label var ch_ppi_medianweighted_cum`laglength' " `laglength' -Months PPI Inflation ROW (median import Weighted)"
	* Commodity Prices 
	gen commodity_all_cum`laglength'= commodity_all_cum`lag_minus_one ' + l`laglength'.commodity_all_cum1  
	label var commodity_all_cum`laglength' "`laglength' Months Cum. Change of GSCI Index (total index)"
}

* Cummulative Price Changes
* IPI 
gen ch_ipi_naics5_cum1 = ln(ImportPI_5digit/ l1.ImportPI_5digit)
label var ch_ipi_naics5_cum1 " 1-Month Change of USD Import Price"
* PPI
gen ch_ppi_naics6_cum1  =  ln(ppi_6digit / l1.ppi_6digit)
label var ch_ppi_naics6_cum1  " 1-Month Change of USD Producer Price Price"

forvalues laglength = 2/3 {
	local lag_minus_one = `laglength'-1
	* IPI
	gen ch_ipi_naics5_cum`laglength'= ch_ipi_naics5_cum`lag_minus_one' + l`laglength'.ch_ipi_naics5_cum1  
	label var ch_ipi_naics5_cum`laglength' "`laglength' Months Change of USD Import Price)"
	* PPI
	gen ch_ppi_naics6_cum`laglength'= ch_ppi_naics6_cum`lag_minus_one' + l`laglength'.ch_ppi_naics6_cum1  
	label var ch_ppi_naics6_cum`laglength' "`laglength' Months Change of USD Producer Price)"
	}

	keep if monthcount>545 & d_available_at4digit==1 
	gen cluster_n5= substr(naics6,1,5)
	keep cluster_n5 panelvar_naics6 monthcount ch_ppi_naics6_cum3 ch_ipi_naics5_cum3 ch_USagainstROW_cum3  ch_exr_chinaus_cum3 ch_ppi_medianweighted_cum3 commodity_all_cum3  period 
	
	cross using IPI_filteredcoeffs.dta
	gen filtered_ipi_cum3= ch_ipi_naics5_cum3-ch_USagainstROW_cum3 * _b_ch_USagainstROW_cum3
	
	xi: xtivreg2 ch_ppi_naics6_cum3 (filtered_ipi_cum3 =  ch_exr_chinaus_cum3) ch_ppi_medianweighted_cum3 commodity_all_cum3  i.period  if monthcount>545 , fe cluster(cluster_n5)





